@echo off

cd SYS

ECHO Y | RD /s "Base_Lang_0409_DPI_96"
ECHO Y | RD /s "Enterprise_Lang_0409_DPI_96"
ECHO Y | RD /s "Entertainment_Lang_0409_DPI_96"
ECHO Y | RD /s "Office_Lang_0409_DPI_96"
ECHO Y | RD /s "Phone_Lang_0409_DPI_96"
ECHO Y | RD /s "PhoneRedist_Lang_0409_DPI_96"
ECHO Y | RD /s "Redist_Lang_0409_DPI_96"

ECHO Y | RD /s "Base_Lang_0409_DPI_96_RESH_240_RESV_320"
ECHO Y | RD /s "Themes_Lang_0409_DPI_96_RESH_240_RESV_320"

ECHO Y | RD /s "Base_Lang_0409_DPI_96_RESH_240_RESV_400"
ECHO Y | RD /s "Themes_Lang_0409_DPI_96_RESH_240_RESV_400"

ECHO Y | RD /s "Base_Lang_0409_DPI_128"
ECHO Y | RD /s "Enterprise_Lang_0409_DPI_128"
ECHO Y | RD /s "Entertainment_Lang_0409_DPI_128"
ECHO Y | RD /s "Office_Lang_0409_DPI_128"
ECHO Y | RD /s "Phone_Lang_0409_DPI_128"
ECHO Y | RD /s "PhoneRedist_Lang_0409_DPI_128"
ECHO Y | RD /s "Redist_Lang_0409_DPI_128"

ECHO Y | RD /s "base_Lang_0409_DPI_128_RESH_320_RESV_480"
ECHO Y | RD /s "Themes_Lang_0409_DPI_128_RESH_320_RESV_480"

ECHO Y | RD /s "base_dpi_128_resh_320_resv_480"
ECHO Y | RD /s "mediaos_dpi_128_resh_320_resv_480"
ECHO Y | RD /s "Phone_dpi_128_resh_320_resv_480"
ECHO Y | RD /s "Redist_dpi_128_resh_320_resv_480"

ECHO Y | RD /s "base_dpi_192_resh_480_resv_640"
ECHO Y | RD /s "MediaOS_dpi_192_resh_480_resv_640"
ECHO Y | RD /s "Phone_dpi_192_resh_480_resv_640"
ECHO Y | RD /s "Redist_dpi_192_resh_480_resv_640"

ECHO Y | RD /s "Base_Lang_0409_DPI_192_RESH_480_RESV_640"
ECHO Y | RD /s "Themes_Lang_0409_DPI_192_RESH_480_RESV_640"

ECHO Y | RD /s "Base_DPI_96"
ECHO Y | RD /s "Bronze_DPI_96"
ECHO Y | RD /s "Browsing_DPI_96"
ECHO Y | RD /s "CHome_DPI_96"
ECHO Y | RD /s "Enterprise_DPI_96"
ECHO Y | RD /s "Entertainment_DPI_96"
ECHO Y | RD /s "IPSECVPN_DPI_96"
ECHO Y | RD /s "Lockscreen_DPI_96"
ECHO Y | RD /s "Office_DPI_96"
ECHO Y | RD /s "Phone_DPI_96"
ECHO Y | RD /s "PhoneRedist_DPI_96"
ECHO Y | RD /s "Redist_DPI_96"
ECHO Y | RD /s "Themes_DPI_96"
ECHO Y | RD /s "WindowsLive_DPI_96"

ECHO Y | RD /s "base_dpi_96_resh_240_resv_320"
ECHO Y | RD /s "base_dpi_96_resh_240_resv_400"
ECHO Y | RD /s "MediaOS_dpi_96_resh_240_resv_320"
ECHO Y | RD /s "MediaOS_dpi_96_resh_240_resv_400"
ECHO Y | RD /s "Phone_dpi_96_resh_240_resv_320"
ECHO Y | RD /s "Phone_dpi_96_resh_240_resv_400"
ECHO Y | RD /s "Redist_dpi_96_resh_240_resv_320"
ECHO Y | RD /s "Redist_dpi_96_resh_240_resv_400"

ECHO Y | RD /s "Base_DPI_128"
ECHO Y | RD /s "Bronze_DPI_128"
ECHO Y | RD /s "Browsing_DPI_128"
ECHO Y | RD /s "CHome_DPI_128"
ECHO Y | RD /s "Enterprise_DPI_128"
ECHO Y | RD /s "Entertainment_DPI_128"
ECHO Y | RD /s "IPSECVPN_DPI_128"
ECHO Y | RD /s "Lockscreen_DPI_128"
ECHO Y | RD /s "Office_DPI_128"
ECHO Y | RD /s "Phone_DPI_128"
ECHO Y | RD /s "PhoneRedist_DPI_128"
ECHO Y | RD /s "Redist_DPI_128"
ECHO Y | RD /s "Themes_DPI_128"
ECHO Y | RD /s "WindowsLive_DPI_128"

ECHO Y | RD /s "Skybox_Lang_0409"
ECHO Y | RD /s "Skymarket_Lang_0409"
ECHO Y | RD /s "Autoupdate_Lang_0409"
ECHO Y | RD /s "IRDA_Lang_0409"

ECHO Y | RD /s "AlarmSounds"
ECHO Y | RD /s "AUTOUPDATE"
ECHO Y | RD /s "FWUPDATE"
ECHO Y | RD /s "IRDA"
ECHO Y | RD /s "SampleMusic"
ECHO Y | RD /s "Skybox"
ECHO Y | RD /s "Skymarket"
ECHO Y | RD /s "SQM"
ECHO Y | RD /s "WMMoneyWidget"
ECHO Y | RD /s "WMWeatherWidget"


if EXIST Base_Lang_0409 ( 

cd Base_Lang_0409

attrib mxipinit_startmenu_001.provxml -S -H -R
attrib mxipupdate_alarms_1.provxml -S -H -R
attrib mxipupdate_base_mypictures.provxml -S -H -R
attrib mxipupdate_taskmgr_shell_1.provxml -S -H -R

ECHO Y | DEL /s "mxipinit_startmenu_001.provxml"
ECHO Y | DEL /s "mxipupdate_alarms_1.provxml"
ECHO Y | DEL /s "mxipupdate_base_mypictures.provxml"
ECHO Y | DEL /s "mxipupdate_taskmgr_shell_1.provxml"

cd..

)

if EXIST Base_Lang_0409_DPI_192_RESH_480_RESV_800 ( 

cd Base_Lang_0409_DPI_192_RESH_480_RESV_800

ECHO Y | DEL /s "*.cpr"

cd..

)

if EXIST WelcomeCenter_Lang_0409 ( 

cd WelcomeCenter_Lang_0409

attrib *.* -S -H -R

ECHO Y | DEL /s "*mxipupdate_welcomecenter_1.provxml"

cd..

)

if EXIST Base_DPI_192 ( 

cd Base_DPI_192

attrib *.png -S -H -R

ECHO Y | DEL /s "Start_Icon_*.png"
ECHO Y | DEL /s "StartMenu_Selection.png"

cd..

)

if EXIST base_dpi_192_resh_480_resv_800 ( 

cd base_dpi_192_resh_480_resv_800

attrib *.* -S -H -R

ECHO Y | DEL /s "mxipcold_wpc_2.provxml"
ECHO Y | DEL /s "*.gif"
ECHO Y | DEL /s "*.jpg"
ECHO Y | DEL /s "*.cpr"
ECHO Y | DEL /s "*.png"

cd..

)

if EXIST Redist_dpi_192_resh_480_resv_800 ( 

cd Redist_dpi_192_resh_480_resv_800

attrib *.* -S -H -R

ECHO Y | DEL /s "*.png"
ECHO Y | DEL /s "*.gif"

cd..

)

if EXIST Office ( 

cd Office

attrib *.* -S -H -R

ECHO Y | DEL /s "mxipupdate_office_100.provxml"
ECHO Y | DEL /s "mxipupdate_onenote_100.provxml"

cd..

)

if EXIST Skybox ( 

cd Skybox

attrib *.* -S -H -R

ECHO Y | DEL /s "mxip_MyPhone_100.provxml"

cd..

)

if EXIST browsingie (

cd browsingie

attrib -S -H -R *.*

ECHO Y | DEL /s "mxip_wpclang_favorites_1000.provxml"
ECHO Y | DEL /s "mxip_wpclang_favorites_1001.provxml"

cd..

)

if EXIST WindowsLive (

cd WindowsLive

attrib -S -H -R *.*

ECHO Y | DEL /s "mxipupdate_windowslive_1.provxml"

cd..

)

if EXIST WindowsLiveIM (

cd WindowsLiveIM

attrib -S -H -R *.*

ECHO Y | DEL /s "mxipupdate_windowsliveim_1.provxml"

cd..

)

if EXIST PhoneRedist (

cd PhoneRedist

attrib -S -H -R *.*

ECHO Y | DEL /s "Ring01-WindowsPhone .wma"
ECHO Y | DEL /s "Ring02-Velvet .wma"
ECHO Y | DEL /s "Ring03-Flame .wma"

cd..

)

if EXIST OS (

cd OS

attrib -S -H -R *.*

ECHO Y | RD /s "dw.exe"
ECHO Y | RD /s "dwui.dll"
ECHO Y | RD /s "DwXfer.dll"

cd..

)

if EXIST MSXIPKernel (

cd MSXIPKernel

attrib -S -H -R *.*

ECHO Y | RD /s "cachefilt.dll"
ECHO Y | RD /s "hd.dll"
ECHO Y | RD /s "mencfilt.dll"
ECHO Y | RD /s "osaxst0.dll"

cd..

)

if EXIST Shell

cd Shell

xcopy /Q /Y /R ./mxip_notify.vol mxip_notify.vol


echo.
echo =============================================================================
echo Removing useless data done. See status above.
echo =============================================================================
echo.

pause
exit